KDEINIT4(8)

NAME
kdeinit4 - Démarre tous les autres programmes de KDE et les modules chargeables kdeinit (KLMs).

SYNOPSIS

kdeinit4 [--help] [--no-fork | --no-kded | --suicide] [+programs | programs]

DESCRIPTION

kdeinit4 est un lanceur de processus assez similaire au fameux init utilisé pour la séquence de boot UNIX. Il exécute les programmes KDE et les modules chargeables kdeinit (KLMs) en les démarrant efficacement.

Utiliser kdeinit4 pour lancer des applications KDE démarre une application KDE typique de manière plus rapide et réduit considérablement la consommation moyenne de mémoire.

kdeinit4 est lié aux bibliothèques dont une application KDE standard à besoin. Avec cette technique, démarrer une application devient plus rapide car maintenant seul l'application elle même a besoin d'être liée sans quoi les deux applications ainsi que toutes les bibliothèques qu'il utilise ont besoin d'être liées.

DéSAVANTAGES

Le nom de processus des applications démarré à partir de kdeinit4 est « kdeinit4 ». Ce problème peut être corrigé en modifiant le nom de l'application comme affiché par la commande ps. Cependant, les applications comme killall verront simplement kdeinit4 comme le nom du processus. Pour contourner ce problème, utilisez kdekillall (depuis kdesdk/scripts) pour les applications démarrées à partir de kdeinit4.

OPTIONS

--help
    Affiche l'aide à propos des options.

--no-fork
    Ne dérive pas, c'est-à-dire n'existe pas jusqu'à ce que tous les programmes exécutés se terminent.

--no-kded
    Ne démarre pas kded.

--suicide
    Se termine quand aucune application KDE n'est lancée.

+programs
    Lance les programmes pris en charge à la demande.

programs
    Lance les programmes sans prise en charge à la demande.

UTILISATION

Une manière standard de lancer ce programme est de spécifier simplement la commande suivante dans un prompt kdeinit4 program or kdeinit4 +program

FICHIERS

/tmp/kde-$USER/kdeinit4_$INSTANCE
    ...

VARIABLES D'ENVIRONNEMENT

$HOME
    Spécifie le dossier personnel de l'utilisateur courant.

$KDE_HOME_READONLY
    Spécifie si le dossier personnel de l'utilisateur courant est en lecture seule.

$KDE_IS_PRELINKED
    Si l'option est définie, dit à kdeinit4 que les programmes KDE sont préchainés. (Le préchaînage est un processus qui vous permet d'accélérer le processus de lien dynamique).

$KDE_DISPLAY
    Si l'option est définie, dit à kdeinit4 qu'il se lance sur un bureau KDE.

VOIR AUSSI

kded, kdekillall

BOGUES

Il y a probablement une tonnes de bogues. Utilisez bugs.kde.org: http://bugs.kde.org pour les rapporter.

AUTHORS
Waldo Bastian <bastian@kde.org>, Mario Weilguni <mweilguni@sime.com>, Lubos Lunak <l.lunak@kde.org>.